#!/bin/bash

. lib.sh

numjobs=`seq 0 2 12`

main() {
    sshgw 'ip link add dev vcan0 type vcan && ip link set vcan0 up'
    for i in $numjobs; do
	cleanupgw
	sshgw cangw -A -s can0 -d vcan0 -e -f 0:C00007FF
	for j in `seq $i`; do
	    sshgw cangw -A -s vcan0 -d vcan0 -e -f $(printf %x:C00007FF $((j-1))) -m SET:I:$(printf %x $j).0.0000000000000000
	done
	sshgw cangw -A -s vcan0 -d can1 -f $(printf %x:C00007FF $i)

	latester -d can0 -d can1 -d can2 -c $COUNT -i 0 -h hist-$i.dat -f time-$i.dat
    done
    sshgw ip link del dev vcan0
}

plot_cmds() {
    cat <<EOF
set title "Chained GW jobs on a signle VCAN interface"
set logscale y
set grid
set xlabel "Time [{/Symbol m}s]"
set ylabel "Latency profile [messages]"
plot [0:1000] [1:$COUNT] \\
EOF
    lt=2
    for i in $numjobs; do
	echo_plot "\"hist-$i.dat\" with lp lt $lt title \"$((i+2)) GW jobs, 1 vcan\""
        lt=$((lt+1))
    done
}


test_end
